com.holonplatform.reactor.datastore.operation

## Interface ReactiveBulkUpdate

- All Superinterfaces:
    com.holonplatform.core.datastore.operation.commons.BulkUpdateOperation<reactor.core.publisher.Mono<com.holonplatform.core.datastore.Datastore.OperationResult>,ReactiveBulkUpdate>, com.holonplatform.core.datastore.DatastoreCommodity, com.holonplatform.core.datastore.operation.commons.DatastoreOperation<ReactiveBulkUpdate,com.holonplatform.core.datastore.operation.commons.BulkUpdateOperationConfiguration>, com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration.Builder<ReactiveBulkUpdate>, com.holonplatform.core.datastore.operation.commons.ExecutableBulkOperation<reactor.core.publisher.Mono<com.holonplatform.core.datastore.Datastore.OperationResult>,com.holonplatform.core.datastore.operation.commons.BulkUpdateOperationConfiguration,ReactiveBulkUpdate>, com.holonplatform.core.datastore.operation.commons.ExecutableOperation<reactor.core.publisher.Mono<com.holonplatform.core.datastore.Datastore.OperationResult>>, com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder<ReactiveBulkUpdate>, com.holonplatform.core.query.QueryFilter.QueryFilterSupport<ReactiveBulkUpdate>, Serializable

      public interface ReactiveBulkUpdate
      extends com.holonplatform.core.datastore.operation.commons.BulkUpdateOperation<reactor.core.publisher.Mono<com.holonplatform.core.datastore.Datastore.OperationResult>,ReactiveBulkUpdate>

  Reactive `ReactiveBulkUpdate` API, using a `Mono` to represent and handle the operation result.
  Since:
    5.2.0
  See Also:
    `ReactiveDatastore`

- - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.BulkUpdateOperation

      `set, set, set, set, setNull`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperation

      `getConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration.Builder

      `parameter, parameter, target, withExpressionResolvers, withWriteOption, withWriteOptions, withWriteOptions`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder

      `withExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.ExecutableOperation

      `execute`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFilter.QueryFilterSupport

      `filter, filter, filter`

Copyright © 2019 The Holon Platform. All rights reserved.